Skip to main content

Prerequisites

  1. ChatFly account to get access token.
  2. A development environment or tool for making HTTP requests, such as Curl or a programming language like Python.

Uploading Data Sources

Currently here Uploading Data Source for url.

API Endpoint

The API endpoint for uploading data sources to your chatbot is: https://backend.chatfly.co/api/chat/history/{bot_id}/{date_from}/{date_to}/{order}
Make sure to replace {bot_id}, {date_from}, {date_to}, {order} with the your bot information.

Request Params

To get list url, you need to send a GET request to the API endpoint with a params request. Here’s an example params request:
  • bot_id (string): ID of your bot
  • date_from (datetime): start date you want get conversation history
  • date_to (datetime): end date you want get conversation history
  • order: sort for your conversation history

Example Request

Here’re example command sto uploading data sources using the ChatFly API:
Replace token with your token access.

Response Body

Response examples like this: